#include<bits/stdc++.h>
#define MAXN 100007
using namespace std;

int n,p[MAXN],q[MAXN],to[MAXN],ans;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);


    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>p[i];
    }
    for(int i=1;i<=n;i++){
        cin>>q[i];
    }

    for(int i=1;i<=n;i++){
        to[q[i]]=q[i+1];
    }

    ans=n;
    for(int i=1;i<=n-1;i++){
        if(to[p[i]]==p[i+1]){
            ans--;
        }
    }

    cout<<ans<<"\n";


    return 0;
}
